jQuery(document).ready(function($) {
    // Manejar apertura de modal para editar
    $('.edit-button').on('click', function() {
        var id = $(this).data('id');
        var css_id = $(this).data('css_id');
        var name = $(this).data('name');

        $('#edit-button-id').val(id);
        $('#edit-css_id').val(css_id);
        $('#edit-name').val(name);

        $('#edit-button-modal').fadeIn();
    });

    // Cerrar modal al hacer clic en el botón de cerrar
    $('.close-modal').on('click', function() {
        $('#edit-button-modal').fadeOut();
    });

    // Cerrar modal al hacer clic fuera del modal
    $(window).on('click', function(e) {
        if ( $(e.target).is('#edit-button-modal') ) {
            $('#edit-button-modal').fadeOut();
        }
    });
});
